/* 
* Bmini shield pin mapping for Arduino Mini
*
* License: CC Attribution-ShareAlike 4.0 International
* http://creativecommons.org/licenses/by-sa/4.0/legalcode
*
* BieMme Italia 2014 - http://www.biemmeitalia.net
* @author Possamai Lino
*/

//digital input pins
#define DIGIN1 2
#define DIGIN2 3
#define DIGIN3 4
#define DIGIN4 5

//digital output pins (relay)
#define RELAY1 7
#define RELAY2 6
#define RELAY3 9
#define RELAY4 8

//pulse with modulation (PWM) pins
#define PWM1 10
#define PWM2 11

//modbus status led and MAX485/1487 enable pin
#define MODBUSLED 12
#define MODBUSPIN 13

//analog pins

#define ANALOG1 0
#define ANALOG2 1
#define ANALOG3 2
#define ANALOG4 3
#define ANALOG5 4
#define ANALOG6 5
#define ANALOG7 6
#define ANALOG8 7

