/* 
* Bmini shield pin mapping for Arduino UNO
*
* License: CC Attribution-ShareAlike 4.0 International
* http://creativecommons.org/licenses/by-sa/4.0/legalcode
*
* BieMme Italia 2014 - http://www.biemmeitalia.net
* @author Possamai Lino
*/


//digital input pins
#define DIGIN1 6
#define DIGIN2 5
#define DIGIN3 A1
#define DIGIN4 A0

//digital output pins (relay)
#define RELAY1 3
#define RELAY2 2
#define RELAY3 8
#define RELAY4 7

//pulse with modulation (PWM) pins
#define PWM1 11
#define PWM2 10

//modbus status led and MAX485/1487 enable pin
//#define MODBUSLED 12
#define MODBUSPIN 9

//analog pins
#define ANALOG1 A2
#define ANALOG2 A3
#define ANALOG3 A4
#define ANALOG4 A5


