/* Biemme Italia, 2014
* License: CC Attribution-ShareAlike 4.0 International
* http://creativecommons.org/licenses/by-sa/4.0/legalcode
*
* BieMme Italia 2014 - http://www.biemmeitalia.net
* @author Possamai Lino
*/

#ifndef BMINI_IO_H
#define BMINI_IO_H

#include "Arduino.h"
#include "MCUselector.h"

// function definitions
void bmini_init();
void relay(int relay_number, int value);
int get_inputs(int di_number);
float readTemperatureC(int an_number);
float readTemperatureF(int an_number);
int analogReadPin(int pin_number);

#ifndef ARDUINO_ETHERNET
	//pwm pins are not available when the Arduino Ethernet is used
	void pwm(int pwm_number, int value);
#endif


#endif
